APIs / GitHub / Repository Commits

GitHub: Repository Commits

Repository Commits from GitHub as JSON. 1 credit per successful call.

GET /v1/github/repository-commits

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
ownerstringRequiredUp to 39 characters
repostringRequiredUp to 100 characters
pageintegerOptionalAny
per_pageintegerOptionalAny
shastringOptionalUp to 255 characters
pathstringOptionalUp to 400 characters
authorstringOptionalUp to 100 characters
sincestringOptionalAny
untilstringOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/github/repository-commits?owner=laravel&repo=framework&per_page=5" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.